Latest CLAMP Update For Moodle Liberal Arts Edition To 2.7.19, 3.0.9, 3.1.5, 3.2.2

0
1178
Latest CLAMP Update To Moodle 'Liberal Arts' Immune To Recent Security Flaw
The liberal arts EdTech collaborative CLAMP has released a scheduled maintenance version of LAE. Two posts announce the new versions of Moodle “Liberal Arts Edition”, one for Moodle 2.7.19, 3.0.9 and 3.1.5; the other for Moodle 3.2.2.
 
In recent days, a vulnerability was discovered in Moodle that affects all its versions. The development team at Moodle HQ addressed it in the latest updates. If your Moodle version has not caught up with the most recent corresponding point update, it is highly recommended that you upgrade now.
 
If your site is Moodle LAE, the message is still valid and you should upgrade to prevent malicious intruders into the liberal arts-flavored Moodle as well.
 
You could take advantage of the warning and try the couple of features added to plain Moodle, chosen according to favorability and “best-of-breed” quality.
 
Some of the features were developed by members of CLAMP:
  • Anonymous Forum backup and restore
  • Auto-creation of groupings
  • Improved interface for metacourse methods (enrollment by drawing existing enrolments from other courses)
  • Course resource display options
Plus some contributed modules, included in LAE’s “Package” version:
  • Filtered course list according to the school’s short name code conventions
  • OU Dates Report, for editing date-aware items
  • Quickmail, renamed “CLAMPMail”
  • Roster Report (user picture album page)
  • News Forum
  • Ad-hoc database queries. (See it at work here.)
These enhancements, however, are usually first submitted to the Moodle core, or as plugins, as appropriate.
Update Moodle now. Download the latest version of Moodle LAE 3.2.2 here, or Editions 2.7.19, 3.0.9, 3.1.5 here.